Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 17 Dec 2014, 19:30
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
puppy 4.3beta2/3 Ati Catalyst 9.9 graficsdriver
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Author Message
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Sat 12 Sep 2009, 09:58    Post_subject:  puppy 4.3beta2/3 Ati Catalyst 9.9 graficsdriver  

I compiled the kernelmodule and repackaged the Catalyst 9.8 pet, that was introduced here:

http://www.murga-linux.com/puppy/viewtopic.php?t=45594
Update: upgraded it to 9.9.

You also can read there more info about that driver.

You can download the updated pet from:
http://dotpups.de/puppy4/dotpups/XServer/ati-catalyst-9.9-K2.6.30.5-puppy4.3beta3.pet


I also compiled 9.3 after applying some patches from:
http://bugs.gentoo.org/show_bug.cgi?id=266819
The driver then works with accellerated 2D, for example videos run fullscreen.
But running the Control Center or antinspect (so programs accessing OpenGL), the computer completely freezes.
It seems, that this problem is not fixable - if you depend on 9.3, you need a puplet with an older Kernel, like Puppy 4.3 beta1, see:
http://www.murga-linux.com/puppy/viewtopic.php?t=45601
BROKEN 9.3:
http://dotpups.de/puppy4/dotpups/XServer/broken/ati-catalyst-9.3-K2.6.30.5-puppy4.3beta3.pet

Note:
to use 2 monitors, have a look at this small utility, I did not add it yet to the driver pets:
http://www.murga-linux.com/puppy/viewtopic.php?t=41625

Mark
catalyst9.8.jpg
 Description   
 Filesize   100.1 KB
 Viewed   7526 Time(s)

catalyst9.8.jpg


_________________
my recommended links

Edited_times_total
Back to top
View user's profile Send_private_message Visit_website 
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Sat 12 Sep 2009, 13:17    Post_subject:  

Catalyst 9.9 is out with a bunch of OpenGL rendering fixes:

- Rendering bugfixes for various Open-source 3D game engines
- Unigine Tropics works correctly
- OpenGL updates, fixes and improvements
- Crossfire support in the AMDCCCLE properties
- Randr 1.2 fixes

This driver is much better than previous version. Although the release notes don't say much, this version contains fixes for many of the rendering problems of the previous release.
Back to top
View user's profile Send_private_message 
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Sat 12 Sep 2009, 21:44    Post_subject:  

Only for Xorg 7.4 and later Sad
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Sun 13 Sep 2009, 14:02    Post_subject:  

updated from 9.8 to 9.9.
Installed fine in Puppy 4.3beta3 Smile
Mark

_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
exProphecy


Joined: 05 Nov 2007
Posts: 336
Location: Bay Area, California

PostPosted: Sun 13 Sep 2009, 14:13    Post_subject:  

Nice nice I shall soon try this on with Pup4.3beta2 on my Radeon Mobility x700..

By the way, why is it only ATI .pets are being made for the new kernels? Racism I presume? hehe just kiddin'

_________________
Puppy 4.3.1 + Sansa Express MP3 Player + 10GB USB Flash Drive = My triple threat OS. Wink
I consider myself a Turritopsis Nutricula.
http://www.wellminded.com/puppy/pupsearch.html
http://www.esnips.com/web/exprophecypets
Back to top
View user's profile Send_private_message AIM 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Sun 13 Sep 2009, 14:17    Post_subject:  

Quote:
By the way, why is it only ATI .pets are being made for the new kernels? Racism I presume? hehe just kiddin'


I do have a Nvidia 7050 in this computer, but need to remove the external Ati, to be able, to use it.
The Ati is not so stable, as I added a passive cooler, and two fans attached with some wire on it.

In addition, I had to look up again, how I had built the Nvidia pets.
I will do it, once the final version of 4.3 is out, but until then, it is too much work.

The Ati pets are built quickly, as I use the existing ones as templates, and basically just update the files in the older pets to create a new one.
Mark

_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Sun 13 Sep 2009, 14:52    Post_subject:  

MU wrote:
Installed fine in Puppy 4.3beta3


Weird,cause the official ATI installer displays a warning: for X.Org 7.4 and later.

Nice to see it working with X.Org 7.3 as well Smile

P.S. Where can I download the kernel source .SFS for Puppy 4.3?
Back to top
View user's profile Send_private_message 
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Sun 13 Sep 2009, 17:52    Post_subject:  

Does this Catalyst PET package work at all if you've already installed the Xserver-1.6.3-Mesa-7.5.1-xf86-Radeon upgrade package ?
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Mon 14 Sep 2009, 00:36    Post_subject:  

panzerpuppy wrote:
Does this Catalyst PET package work at all if you've already installed the Xserver-1.6.3-Mesa-7.5.1-xf86-Radeon upgrade package ?


no, you need a fresh install.
I had to build another pet for the upggraded xorg, but did not try, if xserver 1.6.3 is already supported.

The kernelsource:
http://puppylinux.com/sources/kernel-2.6.30.5/

http://puppyisos.org/isos/Puppylinux-official/Kernel-source/

User: puppy
Password: linux

Mark

_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
exProphecy


Joined: 05 Nov 2007
Posts: 336
Location: Bay Area, California

PostPosted: Mon 14 Sep 2009, 04:28    Post_subject:  

Quote:
In addition, I had to look up again, how I had built the Nvidia pets.
I will do it, once the final version of 4.3 is out, but until then, it is too much work.

OooOO yay! How sweet of you! My main laptop uses Nvidia GeForce G 105M so that would be a useful .pet. What is the most recent .pet for nvidia drivers anyways? And what kernel is it for?

_________________
Puppy 4.3.1 + Sansa Express MP3 Player + 10GB USB Flash Drive = My triple threat OS. Wink
I consider myself a Turritopsis Nutricula.
http://www.wellminded.com/puppy/pupsearch.html
http://www.esnips.com/web/exprophecypets
Back to top
View user's profile Send_private_message AIM 
Flash
Official Dog Handler


Joined: 04 May 2005
Posts: 11180
Location: Arizona USA

PostPosted: Mon 19 Oct 2009, 22:56    Post_subject:  

Rats, antinspect says this after I installed the 9.9 .pet:
Quote:

antinspect: error while loading shared libraries: libGLU.so.1: cannot open shared object file: No such file or directory
-hit a key to exit-


Puppy version is 4.3.1, run from a multisession DVD.
Motherboard is a Gigabyte GA-MA69GM-S2H, which has the AMD 690G graphics chip. I'm pretty sure that chip uses the Catalyst driver. It's working pretty well with Xvesa, but when I try to use the full resolution of the display the edge of the desktop is off the screen, hiding some icons.
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Tue 20 Oct 2009, 18:12    Post_subject:  

Flash,
after installing the Pet you MUST exit X and type:
xorgwizard

This will extract the catalyst drivers, some libs like libGLU.so.1, and update xorg.conf.

Mark

_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
Flash
Official Dog Handler


Joined: 04 May 2005
Posts: 11180
Location: Arizona USA

PostPosted: Tue 20 Oct 2009, 21:28    Post_subject:  

Thanks, Mark. I thought I did that last night but I could have been a little sloppy about the order. Embarassed

Funny thing, the .pet I stored last night on my USB flash drive would not install. I had to install it from a fresh download. After it was installed I went to Menu --> Exit to prompt, entered xorgwizard, and chose to use the ATI drivers. This time at least it correctly detected the maximum resolution of my LCD (1440 x 900). But the desktop is still too big for the screen. Sad

When I ran antinspect, it dropped me back to the prompt, where I re-ran xorgwizard. After I got the desktop back, I ran xvidtune from the command line (The dialog window froze when I chose Xorg video wizard from the Setup menu) and got this:
Quote:
# xvidtune
Vendor: Monitor Vendor, Model: Monitor Model
Num hsync: 1, Num vsync: 1
hsync range 0: 30.00 - 83.00
vsync range 0: 50.00 - 72.00
Video are not settable on this chip
#


I think the AMD 690 chip was designed during the transition from ATI to AMD, and they did a slap-dab job of it because it was meant to be a placeholder until they could get something better on the market. The reason I bought this motherboard is that it was the only way I could find to put audio through a HDMI cable in Windows 2000. I didn't want to have to "upgrade" to Windows XP in addition to everything else.

Ah, well. The search for perfection continues.
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Wed 21 Oct 2009, 18:40    Post_subject:  

flash,
you had to zip and attach
/var/log/Xorg.0.log

This file is extremely important whenever things work unexpected in Xorg.
It gives info about detected chipsets, and potential problems.

If antinspect crashes, this indicates, that the "fglrx.ko" kernelmodule was not loaded. I that case, the catalyst drivers often crash, when you try to run an application, that uses OpenGL.

You can check that by typing:
modprobe fglrx
If you get an error here, your card is not supported.
The log can give us more detailed infos, so please attach it.

Mark

_________________
my recommended links
Back to top
View user's profile Send_private_message Visit_website 
Flash
Official Dog Handler


Joined: 04 May 2005
Posts: 11180
Location: Arizona USA

PostPosted: Wed 21 Oct 2009, 21:53    Post_subject:  

Quote:
# modprobe fglrx
FATAL: Module fglrx not found.
#

Sad

Oh well. Anyway, everything seems to work fine with Xvesa now. I just thought I'd try your Catalyst .pet to see if it would be better somehow.

_________________
Puppy Help 101 - an interactive tutorial for Lupu 5.25
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0846s ][ Queries: 13 (0.0058s) ][ GZIP on ]